Debian Bug report logs - #682562
sympa: mod_fcgid fails with "Premature end of script headers: wwsympa-wrapper.fcgi"

version graph

Package: sympa; Maintainer for sympa is Debian Sympa team <pkg-sympa-devel@lists.alioth.debian.org>; Source for sympa is src:sympa.

Reported by: Julian Gilbey <jdg@debian.org>

Date: Mon, 23 Jul 2012 17:57:01 UTC

Severity: normal

Found in version sympa/6.1.11~dfsg-4

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Sympa team <pkg-sympa-devel@lists.alioth.debian.org>:
Bug#682562; Package sympa. (Mon, 23 Jul 2012 17:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Gilbey <jdg@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Sympa team <pkg-sympa-devel@lists.alioth.debian.org>. (Mon, 23 Jul 2012 17:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julian Gilbey <jdg@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: sympa: mod_fcgid fails with "Premature end of script headers: wwsympa-wrapper.fcgi"
Date: Mon, 23 Jul 2012 18:18:43 +0100
Package: sympa
Version: 6.1.11~dfsg-4
Severity: normal

When running with mod_fcgid, apache fails with the error message:

[Mon Jul 23 17:34:04 2012] [warn] [client 207.207.126.200] (104)Connection reset by peer: mod_fcgid: error reading data from FastCGI server
[Mon Jul 23 17:34:04 2012] [error] [client 207.207.126.200] Premature end of script headers: wwsympa-wrapper.fcgi

It turns out that I needed to edit /etc/sympa/wwsympa.conf to say:
use_fast_cgi  1

It would be great if this were documented in README.Debian or similar.

   Julian

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-3-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_GB.UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages sympa depends on:
ii  adduser                                    3.113+nmu3
ii  ca-certificates                            20120623
ii  dbconfig-common                            1.8.47+nmu1
ii  debconf [debconf-2.0]                      1.5.44
ii  dpkg                                       1.16.4.3
ii  exim4-daemon-light [mail-transport-agent]  4.80-4
ii  libarchive-zip-perl                        1.30-6
ii  libc6                                      2.13-33
ii  libcgi-fast-perl                           5.14.2-12
ii  libdbd-mysql-perl                          4.021-1+b1
ii  libdbd-pg-perl                             2.19.2-1
ii  libdbd-sqlite3-perl                        1.37-1
ii  libdbd-sybase-perl                         1.14-1
ii  libdbi-perl                                1.622-1
ii  libfcgi-perl                               0.74-1+b1
ii  libfile-copy-recursive-perl                0.38-1
ii  libhtml-format-perl                        2.10-1
ii  libhtml-stripscripts-parser-perl           1.03-1
ii  libhtml-tree-perl                          5.02-1
ii  libintl-perl                               1.20-1
ii  libio-stringy-perl                         2.110-5
ii  libmailtools-perl                          2.09-1
ii  libmime-charset-perl                       1.009.2-1
ii  libmime-encwords-perl                      1.012.4-1
ii  libmime-lite-html-perl                     1.23-1
ii  libmime-tools-perl                         5.503-1
ii  libmsgcat-perl                             1.03-5+b2
ii  libnet-ldap-perl                           1:0.4400-1
ii  libnet-netmask-perl                        1.9016-1
ii  libregexp-common-perl                      2011121001-1
ii  libtemplate-perl                           2.24-1
ii  libterm-progressbar-perl                   2.13-1
ii  libunicode-linebreak-perl                  0.0.20120401-1
ii  libxml-libxml-perl                         2.0001+dfsg-1
ii  lsb-base                                   4.1+Debian7
ii  mhonarc                                    2.6.18-2
ii  perl                                       5.14.2-12
ii  perl-modules [libcgi-pm-perl]              5.14.2-12
ii  rsyslog [system-log-daemon]                5.8.11-1+b1
ii  sqlite3                                    3.7.13-1

Versions of packages sympa recommends:
ii  apache2-suexec             2.2.22-9
ii  doc-base                   0.10.4
ii  libapache2-mod-fcgid       1:2.3.6-1.1
ii  libcrypt-ciphersaber-perl  0.61-4
ii  libfile-nfslock-perl       1.21-1
ii  libio-socket-ssl-perl      1.76-1
ii  libmail-dkim-perl          0.39-1
ii  libsoap-lite-perl          0.714-1
ii  locales                    2.13-33
ii  logrotate                  3.8.1-4
ii  mysql-server               5.5.24+dfsg-4
ii  postgresql                 9.1+132

Versions of packages sympa suggests:
ii  apache2                          2.2.22-9.1
ii  apache2-mpm-prefork [httpd-cgi]  2.2.22-9.1
pn  libauthcas-perl                  <none>
pn  libdbd-oracle-perl               <none>
pn  libtext-wrap-perl                <none>
ii  openssl                          1.0.1c-3

-- Configuration Files:
/etc/sympa/sympa.conf-smime.in [Errno 13] Permission denied: u'/etc/sympa/sympa.conf-smime.in'

-- debconf information:
* sympa/dbconfig-install: true
  sympa/listmaster: listmaster@d-and-j.net
  wwsympa/wwsympa_url: http://d-and-j.net/wws
* wwsympa/webserver_restart: true
  sympa/upgrade-backup: true
  sympa/pgsql/changeconf: false
  sympa/internal/skip-preseed: false
  sympa/remote/host:
  sympa/internal/reconfiguring: false
  sympa/remove-error: abort
* wwsympa/webserver_type: Apache 2
  sympa/dbconfig-remove:
  sympa/mysql/method: unix socket
  sympa/language: en_US
  sympa/pgsql/method: unix socket
  sympa/install-error: abort
  sympa/pgsql/no-empty-passwords:
  sympa/pgsql/authmethod-admin: ident
  sympa/passwords-do-not-match:
  sympa/missing-db-package-error: abort
  sympa/remove_spool: false
  sympa/remote/newhost:
  sympa/pgsql/manualconf:
  sympa/remote/port:
  sympa/hostname: d-and-j.net
  sympa/pgsql/authmethod-user: password
  sympa/dbconfig-upgrade: true
  sympa/use_soap: false
  sympa/db/dbname: sympa
* sympa/database-type: mysql
  sympa/db/basepath:
  wwsympa/fastcgi: false
  sympa/db/app-user: sympa
  sympa/purge: false
  sympa/mysql/admin-user: root
  sympa/dbconfig-reinstall: false
  sympa/pgsql/admin-user: postgres
  sympa/upgrade-error: abort
  wwsympa/remove_spool: false



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:42:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.